Yoti 3.5.1

There is a newer version of this package available.
See the version list below for details.
dotnet add package Yoti --version 3.5.1
NuGet\Install-Package Yoti -Version 3.5.1
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Yoti" Version="3.5.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Yoti --version 3.5.1
#r "nuget: Yoti, 3.5.1"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Yoti as a Cake Addin
#addin nuget:?package=Yoti&version=3.5.1

// Install Yoti as a Cake Tool
#tool nuget:?package=Yoti&version=3.5.1

Yoti .NET SDK

Build StatusCoverageBugsCode SmellsVulnerabilities

Welcome to the Yoti .NET SDK. This repo contains the tools and step by step instructions you need to quickly integrate your .NET back-end with Yoti so that your users can share their identity details with your application in a secure and trusted way.

Table of Contents

  1. Supported Frameworks - Frameworks supported by this .NET class library

  2. Enabling the SDK - How to install our SDK

  3. Setup - Setup required before using the Yoti services

  4. Services - Links to more information about the services offered by the Yoti SDK

  5. Support - Please feel free to reach out

Supported Frameworks

  • .NET Standard 1.0-1.6
  • .NET Standard 2.0-2.1
  • .NET Core App 1.0-1.1
  • .NET Core App 2.0-2.2
  • .NET Core App 3.0-3.1
  • .NET 4.5-4.5.2
  • .NET 4.6-4.6.2
  • .NET 4.7-4.7.2
  • .NET 4.8

Enabling the SDK

To install the Yoti NuGet package you will need to install NuGet. You can find instructions to do that here

To import the latest Yoti SDK into your project, enter the following command from NuGet Package Manager Console in Visual Studio:

Install-Package Yoti

For other installation methods, see nuget.org/packages/Yoti

Setup

For each service you will need:

  • Your Client SDK ID, generated by Yoti Hub when you create (and then publish) your app.
  • Your .pem file. This is your own unique private key which your browser generates from the Yoti Hub when you create an application.

Products

The Yoti SDK can be used for the following products, follow the links on Github for more information about each:

  1. Yoti app integration - Connect with already-verified customers.
  2. Yoti Doc Scan - Identity verification embedded in your website or app.
  3. Yoti AML - Anti-Money Laundering check service to allow a deeper KYC process, preventing fraud

Support

For any questions or support please email sdksupport@yoti.com. Please provide the following to get you up and working as quickly as possible:

  • Computer type
  • OS version
  • Version of .NET being used
  • Screenshot

Once we have answered your question we may contact you again to discuss Yoti products and services. If you’d prefer us not to do this, please let us know when you e-mail.

For further documentation, see https://developers.yoti.com/yoti/welcome

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp1.0 was computed.  netcoreapp1.1 is compatible.  netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 is compatible.  netcoreapp3.0 was computed.  netcoreapp3.1 is compatible. 
.NET Standard netstandard1.6 is compatible.  netstandard2.0 was computed.  netstandard2.1 is compatible. 
.NET Framework net452 is compatible.  net46 was computed.  net461 was computed.  net462 is compatible.  net463 was computed.  net47 was computed.  net471 was computed.  net472 is compatible.  net48 is compatible.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen30 was computed.  tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on Yoti:

Package Downloads
Yoti.Sandbox

Yoti .NET SDK Sandbox

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
3.16.0 80 5/14/2024
3.15.0 14,062 2/13/2024
3.14.0 17,542 4/21/2023
3.12.0 19,057 7/28/2022
3.11.0 5,440 5/3/2022
3.10.0 22,241 12/3/2021
3.9.0 5,059 3/23/2021
3.8.0 9,821 11/3/2020
3.7.0 1,246 10/21/2020
3.6.0 3,855 7/9/2020
3.5.1 1,679 6/4/2020
3.5.0 976 6/3/2020
3.4.0 1,132 4/16/2020
3.3.1 7,729 2/12/2020
3.3.0 1,533 1/6/2020
3.2.0 1,292 12/4/2019
3.1.0 1,592 10/23/2019
3.0.0 1,045 10/9/2019
2.8.0 2,456 10/30/2018
2.7.0 1,699 7/12/2018
2.6.0 1,616 6/6/2018
2.4.0 1,700 3/22/2018
2.3.0 1,363 3/13/2018
2.2.1 1,390 2/21/2018
2.2.0 1,486 10/23/2017
2.1.1 1,470 10/12/2017
2.1.0 1,559 10/3/2017